# DateUtil Class

Defined in: `js/util/DateUtil.js:9`
Module: util
Parent Module: StructureJS

A helper class that deals with dates.

## Index

Show: Inherited Protected Private Deprecated

### Properties

- LONG_DAY_LABELS static
- LONG_MONTH_LABELS static
- SHORT_DAY_LABELS static
- SHORT_MONTH_LABELS static

### Methods

- getDaySuffix static

## Properties

### `LONG_DAY_LABELS` Array. public final static

Defined in `js/util/DateUtil.js:47`

A list of day names.

### `LONG_MONTH_LABELS` Array. public final static

Defined in `js/util/DateUtil.js:67`

A list of month names.

### `SHORT_DAY_LABELS` Array. public final static

Defined in `js/util/DateUtil.js:57`

TODO: YUIDoc_comment

### `SHORT_MONTH_LABELS` Array. public final static

Defined in `js/util/DateUtil.js:77`

TODO: YUIDoc_comment

There are no properties that match your current filter settings. You can change your filter settings in the index section on this page. index

## Methods

### `getDaySuffix`
(

- `today`

)
String public static

Defined in `js/util/DateUtil.js:22`

Returns the suffix of a given day.

#### Parameters:

- `today` Number

#### Returns:

String:

#### Example:

     DateUtil.getDaySuffix(1);
     // 'st'

     DateUtil.getDaySuffix(2);
     // 'nd'

     DateUtil.getDaySuffix(3);
     // 'rd'

     DateUtil.getDaySuffix(4);
     // 'th'

There are no methods that match your current filter settings. You can change your filter settings in the index section on this page. index